import { implementReport } from "@tingwujs/core";
import { BaseExtension } from "../baseExtension";

export class DebugExtension extends BaseExtension {
  logs: Array<{
    type: string;
    payload: any;
  }> = [];
  init() {
    implementReport((type, payload) => {
      this.logs.push({
        type,
        payload,
      });
    });
  }
}
